Dailymotion is one of the biggest video platforms in the world, and as such, we offer video storage and viewing capability to our users. We would like to make it easy for you developers to integrate video creation and delivery across many platforms (desktop, mobile, consoles, set-top boxes and more). Our powerful and flexible video APIs are here to help us help you!
Our developer tools enable you to access both data regarding videos, users, comments, etc. (via the Data API) and to interact with the video player and embed it on your own website or application (via the Player API). At a high level, the range of available API calls covers virtually all facets of Dailymotion. Public data is available with no specific authentication while various parts of the API are available depending on the authenticated status and the permissions the user has granted your application.
While some basic features are available without authentication, you will need to register yourself as a developer in order to perform more elaborate API calls, authenticate users and act on their behalf.
To start developing with us, it is therefore recommended to register your application and retrieve an API key and secret:
Follow this documentation, try making some calls, read the examples and code samples and make the best out of dailymotion-hosted content!
Tip: use one API key per application/project to separate usages.
The Dailymotion Data API is a simple way to access, publish and modify data on Dailymotion. It presents a simple, consistent view of the Dailymotion objects (e.g., users, videos, playlists, etc.) and connections between them (e.g., friend relationship, user's videos, videos in playlists, etc.).
Our API is served over HTTPS, on the following endpoint:
https://api.dailymotion.com
Every object in the Dailymotion Data API has a unique identifier (within its class of object). You can access fields of every object by requesting /<OBJECT_CLASS>/<OBJECT_ID>, where <OBJECT_CLASS> can be video, user, playlist, etc. Here are some examples of object URLs:
https://api.dailymotion.com/user/x1fz4iihttps://api.dailymotion.com/video/x26ezrbhttps://api.dailymotion.com/playlist/x3ecgjAll of the objects in the Dailymotion Data API are connected to each other via relationships: users own playlists, playlists own videos, videos own comments, etc. In a Graph API, these relationships are called connections. You can explore the connections between objects using the URL structure /<OBJECT_CLASS>/<OBJECT_ID>/<CONNECTED_OBJECT>. Here are some examples of supported connections:
https://api.dailymotion.com/video/x26ezrb/commentshttps://api.dailymotion.com/channel/music/videoshttps://api.dailymotion.com/user/x1fz4ii/videosThe complete Data API reference lists all the different objects and connections we support.
All responses are sent back to you in JSON, which is a lightweight data-interchange format. We return two kinds of structure: item and list.
Items are JSON objects consisting of unordered attribute–value pairs, with a single level of pairs. They are delimited by curly brackets. This kind of response is used when a single object is requested. The properties are the requested field names and their corresponding values. By default, only a certain number of fields are returned, but you can define which fields you want to be returned. See the fields selection section for more details.
{
"id": "x26ezrb",
"title": "Hackathon BeMyApp/Dailymotion",
"channel": "creation",
"owner": "x1fz4ii"
}
The list response type is a JSON object containing a list property. The associated value is a JSON array of items. Some other properties are also returned such as:
| Response properties | Property type | Property description |
|---|---|---|
page | number | The current requested page number, by default page 1 is returned. You can pass the page parameter to request other pages (maximum page number is 100). |
limit | number | The current maximum number of items per response page. You can change this limit using the limit parameter (maximum number of items per page is 100). |
explicit | boolean | This boolean property tells you if there is at least one result that was flagged as explicit in the list. See the family_filter global parameter for more information about how to prevent or allow this behavior. |
total | number | This property defines the total number of items in the result set. It is not always present and may return an approximate number. Do not trust this value to compute pagination as you may not be able to get the real number of pages this value implies. Always prefer the has_more value to know if there is a next page. |
has_more | boolean | This boolean property tells you if there are more pages after the current one. If it is set to true, you can decide to access more results, hence this is helpful when paginating through results. This can also help you decide if you need show a more button in your UI. |
{
"page": 1,
"limit": 10,
"has_more": true,
"list": [
{"id": "xf2pow", "title": "Tony Bennett plans Winehouse"},
{"id": "xf2v32", "title": "Escape From City 17"},
{"id": "xemyk2", "title": "Portal : No Escape"},
{"id": "xf35xa", "title": "Earthquake Ignites Social Media Frenzy"},
{"id": "xf02xp", "title": "Triple Kiss! - The Worst Generation #3"},
{"id": "xf38x0", "title": "Billion Points Finalists"},
{"id": "xettt9", "title": "The Best of Gamescom 11"},
{"id": "xf3cxr", "title": "Review: If Only It Was \"30 Minutes or Less\""},
{"id": "xf3ix6", "title": "Cold War Kids - Cold Toes On The Cold Floor"},
{"id": "xf3jaa", "title": "Matthew Morrison Tour Rehearsal"}
]
}
You can perform different requests on https://api.dailymotion.com in order to interact with data on our platform. Some requests are public (accessing a public video's title and description), some others will require a specific permission (accessing private videos, adding a comment on a video, etc.).
For a full list of writable fields and connections and their supported parameters, please refer to the Data API reference.
A GET request allows you to retrieve data about an object. For instance, getting information about a user is done using a GET request such as https://api.dailymotion.com/user/x1fz4ii.
Some fields are writable. You can edit these via the Dailymotion Data API by issuing an HTTP POST request to the appropriate URL (see the Data API Reference). For example, you can edit the title of a video by posting to /video/<VIDEO_ID>:
curl -H 'Authorization: Bearer <ACCESS_TOKEN>' \
-F 'title=My New Title' \
https://api.dailymotion.com/video/<VIDEO_ID>
You can add a comment on the video by posting to /video/<VIDEO_ID>/comments:
curl -H 'Authorization: Bearer <ACCESS_TOKEN>' \
-F 'message=My comment text' \
https://api.dailymotion.com/video/<VIDEO_ID>/comments
Since only the owner of an object can write fields and some fields may require extended permissions or scopes granted by the user, write operations require to pass an access token. See the authentication guide for details on how you can request a token and extended permissions from the user during the authentication step.
You can delete an object by issuing an HTTP DELETE request to the object URLs, for example:
curl -X DELETE \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
https://api.dailymotion.com/video/<VIDEO_ID>
To work with clients that do not support all of the HTTP methods (like JavaScript clients), you can alternatively issue a GET request to an object URL with the additional parameter method=delete to override the HTTP method. For example, you can delete a comment by issuing a GET request to /comment/<COMMENT_ID>?method=delete.
All objects are composed of fields. They all have an identifier id (unique in the given class of objects) plus some other fields defined in the Data API Reference. Some fields are publicly readable, some other are not and need the user to be authenticated and may require extended permissions granted by the user.
By default, a few fields are returned. To request more specific fields, use the fields parameter with the list of fields you need in the response. We are urging you to always use fields to only request the fields you will use in your application. For instance, to select the id and the title fields of a video object, perform a GET request to /video/<VIDEO_ID>?fields=id,title.
Let's call https://api.dailymotion.com/video/x26ezj5?fields=id,title. The response will be like this:
{
"id": "x26ezj5",
"title": "Greetings"
}
If a field is supposed to return a connected object, selecting the field will return the connected object id. In such case you can request any sub-field of this connected object by concatenating the sub-field name to the field, separated by a dot. For instance, the owner field of the video object returns a user object. If you need the screenname and the url of the video owner, you can perform the following request: https://api.dailymotion.com/video/x26ezj5?fields=id,title,owner,owner.screenname,owner.url. The response will look like this:
{
"id": "x26ezj5",
"title": "Greetings",
"owner": "x1fz4ii",
"owner.screenname": "Dailymotion API",
"owner.url": "http://www.dailymotion.com/DailymotionAPI"
}
Note: This also works for lists of objects and connections.
When searching for a list of objects, some fields can be used for filtering. Those filters are listed in the API reference, under the filters section of every object (see the filters available for the video object for example). To filter, perform a GET request and put your filters as parameters of the query string. For instance, the following request /videos?channel=tech&language=en will list all English-speaking videos in the 'technology' channel.
Just like a field, a filter declares a data type and only takes specific values in input. When a filter is marked as a flag though, it means that it doesn't take any specific value, its presence in the query string is the only thing that matters. Please see the flag type description for more information.
When the response to your call is a list of objects, you can also sort the list by using the sort filter with any of the available values listed in the API reference.
The REST API uses HTTP cache control mechanisms. If you want to benefit from caching, you have to make sure URLs don't change between requests. To that end, you should always sort query string parameters by alphabetic order and send the access token using the Authorization HTTP header as follow:
curl -H 'Authorization: OAuth <ACCESS_TOKEN>' \
https://api.dailymotion.com/videos
Since requests are sent over SSL, your requests' responses cannot be stored on public intermediate proxy cache servers. However, if your application can potentially share the cache between different users, you have to be sure you only share responses marked as public in the Cache-Control HTTP header. This should be done automatically by your HTTP library if it respects the Vary HTTP header sent with private cacheable responses though.
Our API Explorer will also let you test possible calls through its simple interface.
Learn how to authenticate in the authentication section, so you can perform elaborate calls and interact with your user's videos.
If you want to test the availablility of the API, the /echo endpoint is just want you're looking for! Check the documentation on the /echo endpoint.
The following is an an example of a common error response, resulting from a failed API Call. Errors contains a status code, a message and an error type.
curl "https://api.dailymotion.com/video/xnotfound"
HTTP/1.1 404 Not Found
{
"error": {
"code": 404,
"message": "This video does not exist or has been deleted.",
"type": "not_found"
}
}
The Dailymotion Data API uses conventional HTTP response codes to indicate success or failure of an API request. In general, codes in the 2xx range indicate success, codes in the 4xx range indicate an error resulting from invalid provided information (e.g. a required parameter is missing, invalid access token, etc.), and codes in the 5xx range indicate an error with the Dailymotion servers. Hence, we are using the following match for error codes:
| Classic HTTP errors | Corresponding Dailymotion errors |
|---|---|
400 Bad Request | The API call requires authentication but it was not presented or was wholly invalid, or the API call was invalid (invalid_parameter, missing_required_parameter). |
401 Unauthorized | A valid access token should be provided. This error may come from an expired access token. |
403 Forbidden | The request is understood, but it has been refused or access is not allowed. An accompanying error message will explain why. This code is used when requests are being denied due to spam activity, or the request requires higher privileges than provided by the access token. |
404 Not Found | The requested object was not found (can also be thrown when you request non active users, censored videos, etc.). |
405 Method Not Allowed | Invalid HTTP Method + method_not_allowed error type. |
501 Not Implemented | The specified method does not exist (invalid_method). |
500 Internal Server Error | This API error covers any other type of problem (e.g.: a temporary problem with the Dailymotion servers) and should turn up only very infrequently. Check the associated message for more information. |
Here's a list of error types you may encounter in errors returned by the API:
| Error types | Type descriptions |
|---|---|
invalid_parameter | Your request contains invalid parameters (e.g. you set an invalid data type for a field). |
missing_required_parameter | You forgot a required parameter in your API call. |
access_forbidden | Thrown when the user doesn't have the permission to access the data (e.g. missing a required scope to access certain fields). |
not_found | The requested object was not found. |
method_not_allowed | The API call is correct, but the method is not allowed (e.g.: replace a video URL before encoding process is over). |
invalid_method | The API endpoint or object connection is invalid. |
write_failure | The data you tried to set using the API could not be saved, this is generally a temporary error that will resolve itself over time. |
Note: This is not an exhaustive list, only the most common ones are listed here.
When requesting access to a video, the API may return a message explaining why the access can't be granted inside the specific access_error field. Here is a list of the different access error codes you may encounter and their descriptions:
| Error code | Error description |
|---|---|
DM001 | No video has been specified, you need to specify one. |
DM002 | Content has been deleted. |
DM003 | Live content is not available, i.e. it may not have started yet. |
DM004 | Copyrighted content, access forbidden. |
DM005 | Content rejected (this video may have been removed due to a breach of the terms of use, a copyright claim or an infringement upon third party rights). |
DM006 | Publishing in progress... |
DM007 | Video geo-restricted by its owner. |
DM008 | Explicit content. |
DM009 | Explicit content (offsite embed). |
DM010 | Private content. |
DM011 | An encoding error occured. |
DM012 | Encoding in progress... |
DM013 | This video has no preset (no video stream). |
DM014 | This video has not been made available on your device by its owner. |
DM015 | Kids host error. |
DM016 | Content not available on this website, it can only be watched on Dailymotion. |
We enforce some quotas on the Data API calls. For the time being, all stream_*_url fields are rate-limited to 50 calls per day per API key.
Video upload through the API is also limited to:
| Standard accounts limits | Verified partners limits | |
|---|---|---|
| Per video | 1 Hour and 2Gb | No limit |
| Per 24h | 10 Videos and 2 Hours | 96 videos* and unlimited duration |
*If you need to boost this limit for a specific use case, please get in touch with your dailymotion content manager.
To check your current limits at the video level, you can request the limits field on your own user using the API, like this: /me?fields=limits (you will need to be authenticated).
Each graph object field and filter has its own data type, here are the different types available in the API. Please note that any of these can return either their advertised type or a null value if they have no associated data.
stringA simple sequence of UTF-8 characters. Please URL encode all input strings (RFCs 3986 and 1738).
"123""aerft438j""Simple sequence of UTF-8 characters."/video/x26ezrb?title=A+string+for+a+new+title/video/x26ezrb?title=A%20string%20for%20a%20new%20titlenumberAny number, can be integer or floating point. Please use the international notation with a dot between the integer and decimal parts.
042.95/video/x26ezrb?rental_start_time=3.5booleanA truth value.
For input values, 0, "false" and "no" all resolve to false and 1, "true" and "yes" all resolve to true.
truefalse/user/x1fz4ii?email_notification=1/user/x1fz4ii?email_notification=falsedateA date expressed as a UNIX timestamp (number of seconds since the UNIX Epoch).
012875070362147483647/user/x1fz4ii?birthday=532701000arrayAn unordered collection of any other scalar data type (most likely strings or numbers). Elements are listed between square brackets and separated by commas. For inputting arrays, simply separate every element with commas.
[][1,2,3] ["ld","sd","hq","hd720"]/video/x26ezrb?tags=elements,separated,with,commas/video/x26ezrb?tags=elements%2Cseparated%2Cwith%2CcommasdictA dict is a flat single level deep map that associates various type of values to keys.
{}{1:"January",2:"February",3:"March"} {"video_duration":3600,"video_size":2147483648}urlAny URL, it isn't implied that the URL actually resolves to any resource.
http://www.dailymotion.com/videoshttps://www.dailymotion.com/video/x26ezrb_hackathon-bemyapp-dailymotion_creation/video/x26ezrb?url=http%3A%2F%2Fwww.dailymotion.com%2Fvideo%2Fx26ezrbemailAn email address, it isn't implied that the address actually resolves to any inbox.
user@example.orgexample+value@email.com/user/x1fz4ii?email=user%40example.orgobjectAny other Data API object, which means that the returned value will be an identifier and that you can retrieve sub-fields of the corresponding object using the dot-notation. For inputting object values, simply provide the identifier of the object.
flagFlag is a special type reserved for simple boolean filters. When a filter is marked as a flag, it means that it doesn't take any specific value, its presence in the query string is the only thing that matters. You can still attach a value to them in your query string, but it won't have any effect and will be discarded. Here are the three different ways of using them:
/videos?flags=featured,hd,no_live (recommended)/videos?featured&hd&no_live/videos?featured=true&hd=true&no_live=true (not recommended)We strongly recommend the use of UTF-8 encoding for all interactions with the API.
By default, your application can only access public API data like public video title, description, etc. In order to interact with someone's Dailymotion account, this user has to authorize your application. The Dailymotion Data API uses the OAuth 2.0 protocol for managing authentication and authorization flows between the API and third-party applications.
For accessing and/or manipulating protected resources (such as private user data), the client application (your application) needs to be granted permission to do so. The OAuth 2.0 standard defines a protocol that allows such third-party authorization through the use of access tokens. Access tokens are central in the protocol: those tokens, in the form of strings, are delivered by an authorization server (at Dailymotion) and they enable the client application to securely access protected data on behalf of the resource owner (the end-user).
| OAuth 2.0 actor | Your scenario when using the Dailymotion API |
|---|---|
| client application | Your application/website/project |
| resource owner | Any Dailymotion user |
| resource server | The Dailymotion API endpoint (https://api.dailymotion.com) |
| authorization server | The Dailymotion authorization endpoint ( https://www.dailymotion.com/oauth/authorize) |
Hence, there is a series of back-and-forth exchanges between the client application, the resource owner and the authorization server in order to create an access token, which will be forwarded every time you perform requests to the resource server. The typical exchange is as follows:
With no scope provided, your application will only be able to interact with public data such as searching for a public video or requesting comments on a video. If your application needs to read private data or change some user's associated data (post a comment on behalf of someone, modify someone else's video title, etc), your application can request a larger permission scope. How to request extended permissions is described in the Extended Permissions section.
For more in depth information about the OAuth 2.0 protocol and specifications, please refer to the Request For Comments (RFC) #6749.
A typical scenario when using the Dailymotion API is that of an application managing someone's videos and acting on his/her behalf.
For this, three canonical types of grant types exist (given by resource owner to client application, depending on the scenario and technology used):
authorization_code grant type.password grant type.client_credentials grant type.For this purpose, there are two main profiles:
The web application profile is suitable for client applications capable of interacting with the end-user's user-agent (typically a web browser) and capable of receiving incoming requests from the authorization server (capable of acting as an HTTP server).
The steps to obtain an access token are:
Once your application has been registered, you get an API key, which we will call your client_id and an API secret, which is your client_secret.
Redirect the user to https://www.dailymotion.com/oauth/authorize with your client_id and the URL the user should be redirected back to after the authorization process (the redirect_uri). For security reason, only redirect_uri starting with the callback URL provided when you created your API key will be accepted (line breaks are for display purposes only):
https://www.dailymotion.com/oauth/authorize
?response_type=code
&client_id=<API_KEY>
&redirect_uri=http://www.example.org/callback
If your redirect_uri has to contain a dynamic part, you can use a slug this way when you specify your application callback URL: http://www.example.org/callback/[<SLUGNAME>]. The <SLUGNAME> part becomes the dynamic part.
If the user authorizes your application, Dailymotion redirects the user back to the redirect_uri you specified with a verification string in the code query parameter. This authorization code can then be exchanged for an OAuth access token by POST-ing to the token server at https://api.dailymotion.com/oauth/token. Pass the exact same redirect_uri as in the previous step (line breaks are for display purposes only):
POST /oauth/token HTTP/1.1
Host: api.dailymotion.com
Content-Type: application/x-www-form-urlencoded
grant_type=authorization_code
&client_id=<API_KEY>
&client_secret=<API_SECRET>
&redirect_uri=http://www.example.org/callback
&code=<AUTHORIZATION_CODE>
In return, you will retrieve the following JSON response:
{
"access_token": "<ACCESS_TOKEN>",
"expires_in": 36000,
"refresh_token": "<REFRESH_TOKEN>"
}
You can then use the access_token from the response to make requests on behalf of this user. Read the using an access token section for more details.
Note: If the user does not authorize your application, Dailymotion redirects the user to the redirect_uri you specified, and adds both error and error_description parameters to the query.
Note: The access token is valid for the given number of seconds defined by the expires_in parameter of the token server response. You can use the obtained refresh_token to request another access token without the need to ask anything to the user again. See the requesting an access token from a refresh token section for more details.
Note: We strongly advise you to use one of the official Dailymotion SDKs that abstract all of these exchanges for you and make this process easier.
The web application profile supports the optional state parameter that allows you to mitigate CSRF attacks and/or to restore your application’s previous state. The state parameter preserves a state object set by the client and makes it available in the client response.
Mitigate CSRF attacks: The state parameter can be used to send a random value during the authentication redirection. Then the received value has to be validated after processing the response. To perform the validation, the state value has to be stored on the client application side and match with the state parameter received in the response.
Warning! If it doesn't, you may be the target of an attack and should immediately stop the authentication process.
Redirect users: The state parameter can also be used to redirect the user to the protected page he intends to access after the authentication process.
Start by generating a unique key that will use to protect you against CSRF attacks.
Store this key on user side and use it to store the targeted URL, as below:
{
"<UNIQUE_KEY_ID>": {
"redirectUrl": "/protectedResource",
"expiresOn": "13456789"
}
}
Get the Authorization by sending your unique key to Dailymotion (line breaks are for display purposes only):
POST /oauth/authorize HTTP/1.1
Host: api.dailymotion.com
Content-Type: application/x-www-form-urlencoded
response_type=code
&client_id=<API_KEY>
&redirect_uri=http://www.example.org/callback
&state=<UNIQUE_KEY_ID>
Retrieve the returned state value and compare it with the one you stored earlier. If the values match, then approve the authentication response and retrieve the rest of the application state (like the redirectUrl), else deny it.
Note: The way you store the unique key and the URL depends on your application's type. It can be local storage in single-page, native apps or a cookie in a regular web application.
Warning! The state parameter doesn't guarantee the response or the request integrity. Keep in mind that they could be manipulated by malicious users.
Native client applications are running as native code on the end-user's computer or device (i.e. executing outside a user-agent or as a desktop program). These client applications are often capable of interacting with (or embedding) the end-user's user-agent but are limited in how such interaction affects their end-user experience. In many cases, native applications are incapable of receiving direct callback requests from the server (e.g. firewall, operating system restrictions, etc.).
Native client applications can prompt the end-user for their password credentials and use them directly to obtain an access token. This method is discouraged since users will have to communicate their credentials directly to your client application. Additionally, users who created their account using their Facebook, Google or other third-party accounts won't be able to log-in into your application using this authentication method. Please note that if you have no other choice but to use this method, you are not allowed to store the end-user credentials you obtained.
The steps to obtain an access token using the end-user credentials are:
Once your application has been registered, you get an API key, which we will call your client_id and an API secret, which is your client_secret.
Ask the end-user for his credentials which consist of a username and a password.
Retrieve an OAuth access token by POST-ing to the token server at https://api.dailymotion.com/oauth/token. Set the grant_type to password, pass the client_id and client_secret (related to your application) and the user credentials in username and password (line breaks are for display purposes only):
POST /oauth/token HTTP/1.1
Host: api.dailymotion.com
Content-Type: application/x-www-form-urlencoded
grant_type=password
&client_id=<API_KEY>
&client_secret=<API_SECRET>
&username=<USER_USERNAME>
&password=<USER_PASSWORD>
In return, you will get the following JSON response:
{
"access_token": "<ACCESS_TOKEN>",
"expires_in": 36000,
"refresh_token": "<REFRESH_TOKEN>"
}
Use the access token returned by the request above to make requests on behalf of the user. Read the using an access token section for more details.
Note: Your access token will remain valid for the time defined by the expires_in parameter. We recommend using your access token until its end of validity, failing which you may run into a rate limiting issue. You can use the obtained refresh_token to request another access token without the need to ask anything to the user again. See the requesting an access token from a refresh token section for more details.
Note: We strongly advise you to use one of the official Dailymotion SDKs that abstract all of these exchanges for you and make this process easier.
Some authorization methods provide you with a refresh token in addition to the access token. The access token validity is always limited in time indicated by the expires_in property of the token server response or by a 401 HTTP status code error when used with the API (see the Request For Comments (RFC) #6749 for more in depth information).
Once an access token has expired, you can request another access token without the need to repeatedly ask anything to the end-user, but only if you are in possession of a refresh token. To do that, send the following request to the token server at https://api.dailymotion.com/oauth/token (line breaks are for display purposes only):
POST /oauth/token HTTP/1.1
Host: api.dailymotion.com
Content-Type: application/x-www-form-urlencoded
grant_type=refresh_token
&client_id=<API_KEY>
&client_secret=<API_SECRET>
&refresh_token=<REFRESH_TOKEN>
In return you will get the following JSON response:
{
"access_token": "<ACCESS_TOKEN>",
"expires_in": 36000,
"refresh_token": "<REFRESH_TOKEN>"
}
In case of error, the JSON object will contain both an error and error_description properties.
See the Request For Comments (RFC) #6749 for more details.
Note: We strongly advise you to use one of the official Dailymotion SDKs that abstract all of these exchanges for you and make this process easier.
Note: One of the problems with OAuth 2 is that the specification doesn't offer any mechanism to upgrade the scope of an existing session on refresh. See the extended permissions section for more information.
In the above examples, the OAuth process will authenticate your application with the Dailymotion user, which will allow you to fetch general information about the user's profile via the Dailymotion API /me endpoint. As mentioned above, if you need to fetch private data associated to the user or you want to request permission to publish content on a user's behalf, you will need to request extended permissions.
To request extended permissions via OAuth 2.0, use the scope parameter in your authorization request, and include a white-space-separated list of all the permissions you want to request. For example this authorization request asks for personal information and full video control (line breaks are for display purposes only):
https://www.dailymotion.com/oauth/authorize
?response_type=code
&client_id=<API_KEY>
&redirect_uri=http://www.example.org/callback
&scope=userinfo+manage_videos
Note: One of the problems with OAuth 2 is that the specification doesn't offer any mechanism to upgrade the scope of an existing session.
To add new scopes to an already existing session, you first need to call the /logout endpoint and start a new session with your new list of scopes.
Here are a few of the extended permissions available:
| Scope | Description |
|---|---|
email | Provides access to the user's primary email address. |
userinfo | Provides read/write access to some personal user information like address and birthday. |
manage_videos | Allows to modify or delete the user's uploaded videos and to publish new ones. |
manage_comments | Allows to publish comments on videos on behalf of the user. |
manage_players | (beta) Allows create/modify/delete player objects on behalf of user |
manage_playlists | Allows to create/edit/delete playlists on behalf of the user. |
manage_tiles | Allows to read/write a user's saved tiles. |
manage_subscriptions | Allows to manage a user's subscriptions. |
manage_friends | Allows to manage a user's friends. |
manage_likes | Allows to add/remove videos from the list of user's liked video ("likes"). |
There is more to it. Refer yourself to the full Data API reference for a complete list of the information your can access and the permissions needed to request them.
Your application should always allow users to revoke authorization granted to your API key. The user can also revoke your application from his profile on Dailymotion, but it's far less user-friendly than having a simple Logout from Dailymotion button in your interface.
To revoke authorization, perform a GET request to the /logout URI with the Authorization header (or access_token query parameter). Read the using an access token section for more details. Once done, your current session (access token and/or refresh token) are no longer valid and you can forget about them in your application.
Dailymotion supports a non-standard display parameter to trigger different form factors for the authorization dialog that may be more appropriate for your application:
| Parameter value | Feature description |
|---|---|
page | Displays a full-page authorization screen (by default). |
popup | Displays a compact dialog optimized for web pop-up windows. |
mobile | Displays an iPhone/Android/smartphone-optimized version of the dialog (deprecated). |
For example, to trigger the dialog in a pop-up window, you would redirect the user to (line breaks are for display purposes only):
https://www.dailymotion.com/oauth/authorize
?response_type=code
&client_id=<API_KEY>
&redirect_uri=http://www.example.org/callback
&display=popup
Note: Even if you chose page or popup from a known mobile device, the mobile display will be chosen automatically.
At high level, using OAuth 2.0 entails getting an access token for a Dailymotion user via a redirect to Dailymotion. After you obtain the access token, you can perform authorized requests on behalf of this user by including it in all of your API requests using the Authorization HTTP header:
GET /videos HTTP/1.1
Host: api.dailymotion.com
Authorization: Bearer <ACCESS_TOKEN>
You can also provide the access token directly as a query parameter, but this method is not recommended because it's unsafe and incompatible with some other API entry points (like the Advanced API):
https://api.dailymotion.com/videos?access_token=<ACCESS_TOKEN>
Once authenticated on the API, you can use the special identifier /me which refers to the currently authenticated user (alias of /user/<USER_ID>). So the URL https://api.dailymotion.com/me/videos returns the same thing as https://api.dailymotion.com/user/<USER_ID>/videos.
If you want to retrieve information on your access token, you can perform a GET request of /auth. This request returns diverse information on the user authentified in your application: id, username, screename, extended permissions accepted, roles granted the application through which the token was created.
{
"id": "x1fz4ii",
"scope": [
"manage_comments",
"manage_videos",
"userinfo"
],
"roles": [],
"username": "DailymotionAPI",
"screenname": "Dailymotion API"
}
Here is a list of the various graph objects available through the Dailymotion Data API. Some of them will only be available for reading, and some others for creation and edition too.
| Object name | Short description |
|---|---|
| channel | A |
| player | A |
| playlist | A |
| subtitle | A |
| user | A |
| video | The |
The following query-string parameters are valid on the whole API and can be provided along with any type of request. Some of them are strongly recommended if you want to enhance your end-user experience. To use a global parameter, simply add it to any request's query-string like so:/video/x26m1j4/comments?family_filter=false&localization=it
| Type | Name | Description |
|---|---|---|
| STRING | ams_country | Change the country for the asset management. |
| STRING | context | Additional call context for this request. |
| STRING | device_filter | Filter out content and change media assets. |
| BOOLEAN | family_filter | Enable/disable the family filter. |
| STRING | localization | Change the default localization of the user. |
| BOOLEAN | ssl_assets | Get secured HTTPS URLs for all assets (URLs, images, videos, etc.). |
| STRING | thumbnail_ratio | Change the size ratio for all video thumbnails. |
This endpoint enables to access information about the current authenticated user. This relates to the user authenticated using an access token (provided with the appropriate header or as a query-string parameter).
To retrieve information about the current authenticated user, perform a GET request on /auth. By default, only a small number of default fields are returned, please refer to the complete field list below. For help on requesting more specific fields, see the fields selection section.
Sample auth API call: /auth
Here is the list of fields you can retrieve when performing a call on /auth.
| Field name | Description | Sample |
|---|---|---|
id | The user identifier of the authenticated user. | "x1fz4ii" |
scope | The scope of permissions granted to the authenticated user. | ["manage_videos","userinfo"] |
roles | The list of roles associated to the API key of the authenticated user. | [] |
username | The username of the authenticated user. | "DailymotionAPI" |
screenname | The authenticated user's username or full name depending on his preferences. | "Dailymotion API" |
language | The authenticated user spoken language (declarative). | "fr" |
A channel object represents a category of videos on Dailymotion (formerly a channel), for example:shortfilms, videogames, news, etc.
To retrieve a specific channel object, perform a GET request on /channel/<CHANNEL_ID>. By default, only a small number of fields marked as default are returned (such as the object identifier), please refer to the complete field list below. For help on requesting specific fields, see the fields selection section.
To retrieve a list of channel objects, perform a GET request on /channels. You can also use You can then use filters (if any) to filter down the result set, see the filtering section for more information.
Sample channel API call: /channel/music
Test it further with the API Explorer.
Here is the list of fields you can retrieve on every channel object. You can retrieve these using the fields query-string parameter on any graph object request. See the fields selection section for more information.
created_timeSample value: 1287507036
Date and time when this channel was created.
descriptionComprehensive localized description of this channel.
Sample value: Everything about video-games!
Comprehensive localized description of this channel.
idUnique object identifier (unique among all channels)
Sample value: xae3otp
Unique object identifier (unique among all channels)
item_typeGraph type of this object (hopefully channel)
Sample value: channel
Graph type of this object (hopefully channel)
nameLocalized short name of this channel.
Sample value: Video Games
Localized short name of this channel.
slugSlug name of this channel.
Sample value: video-games
Slug name of this channel.
updated_timeDate and time when this channel was last updated.
Sample value: 1404129540
Date and time when this channel was last updated.
Here is the list of filters you can use to limit a result set of channel objects. You can use these by passing them as query-string parameters with your request.
sortChange the default result set ordering.
Sample value: popular
Change the default result set ordering.
These deprecated filters were once part of the API reference but are no longer maintained. Support is still available until the end of life date specified for each filter.Do not use any of these for a new project as they may disappear without warning.
languageLanguage in which you want this channel name and description fields to be.
Sample value: it
Language in which you want this channel name and description fields to be.
Connections through the data API are used to link objects with each others. Some objects can only be accessed and/or created through connections since they have no point in existing on their own. Here is the list of connections available through the channel object.
usersList of the top users of this channel.
This connection joins an object of type channel with a list of user objects.
List of the top users of this channel.
This connection joins an object of type channel with a list of user objects.
You can retrieve the list of users connected to a channel object by issuing a GET request to /channel/<CHANNEL_ID>/users. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
videosList of videos of this channel.
This connection joins an object of type channel with a list of video objects.
List of videos of this channel.
This connection joins an object of type channel with a list of video objects.
You can retrieve the list of videos connected to a channel object by issuing a GET request to /channel/<CHANNEL_ID>/videos. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
This endpoint returns the same exact message which was given as a parameter. It can be used to test the availability and reactivity of the API.
To send an /echo request, perform a GET request on /echo.
The table below lists all the parameters that can be provided when performing this request:
| Type | Parameter | Required | Description |
|---|---|---|---|
string | message | Yes | The message to be returned by the echo. |
Sample echo API call: /echo?message=this+is+a+test
Here is the list of fields you can retrieve when performing a call on /echo.
| Field name | Description | Sample |
|---|---|---|
message | The message which was given as a parameter. | "echo... echo... echo..." |
This endpoint allows anyone to retrieve a video upload URL, when you need to upload a video on Dailymotion's servers and don't want to upload it on your own server.
To retrieve an upload URL, perform a GET request on /file/upload.
Sample file upload API call: https://api.dailymotion.com/file/upload
Here is the list of fields you can retrieve when performing a call on /file/upload.
| Field name | Description | Sample |
|---|---|---|
upload_url | The URL you will be able to upload your video to. | http://upload-XX.dailymotion.com/upload?uuid=<UUID>&seal=<SEAL> |
progress_url | An URL to poll the progress of the current upload. A GET request to this URL returns a JSON object with a state key having one of the following values: starting, uploading, done, error. During the uploading state, the JSON object also contains size and received keys reporting the upload progress. | http://upload-XX.dailymotion.com/progress?uuid=<UUID> |
Note:
The languages endpoint is used to retrieve the list of ISO-639-3 2 or 3 letter codes associated with the language name, native name, localized name, and name as it could be displayed on Dailymotion.
To retrieve the list of ISO-639-3 languages, perform a GET request on /languages.
The list of fields returned is fixed and defined as followed. This call do not support the fields parameter.
Sample locale API call: /languages
Here is the list of fields you will retrieve when performing a call on /languages.
| Field name | Description | Sample |
|---|---|---|
code | The language alpha-2 or alpha-3 code as specified by the ISO-639-3 standard. | "ja" |
name | The name of the language. | "Japanese" |
native_name | The native name of the language, or null if unknown. | "日本語" |
localized_name | The name of the language in the locale of the request, or null if unknown. | "Japonais" |
display_name | The name of the language as it could be displayed. This corresponds to the localized name if we know it, otherwise it's simply the name. | "Japonais" |
A locale is a set of parameters that defines a user's language, country, currency, etc.
To detect the locale of the current requestor, perform a GET request on /locale.
To retrieve the list of locales supported by Dailymotion, perform a GET request on /locales.
In both cases, the list of fields returned is fixed and defined as follow since these calls do not support the fields parameter.
You can also return informations on a specific locale by changing your request locale using the localization global parameter.
Sample locale API call: /locale
Here is the list of fields you will retrieve when performing a call on /locale or /locales.
| Field name | Description | Sample |
|---|---|---|
locale | The locale code. | "ja_JP" |
site_code | The site version code associated to the locale. This code is to be used in the API wherever a "localization" parameter is requested | "jp" |
language | The name of the language in English. | "Japanese" |
localized_language | The name of the language in the current API request locale. | "Japonais" |
locally_localized_language | The name of the language in the locale's language. | "日本語" |
country | The name of the country in English | "Japan" |
localized_country | The name of the country in the current API request locale. | "Japon" |
locally_localized_country | The name of the country in the locale's language. | "日本" |
currency | The currency accepted by Dailymotion for this locale. | "JPY" |
This endpoint removes the right for the current API key to access the current user account (the user authenticated by the current access token). Once this method is called, all further requests with the same access token will fail and any previously obtained refresh token for this session will be invalidated.
To logout a user, perform a GET request on /logout.
This call returns an empty JSON object in case of success: {}
Sample logout API call: /logout
A player object holds several configuration properties (Picture In Picture settings, aspect ratio...)
and is meant to be embedded on a webpage with a script tag.
To retrieve a specific player object, perform a GET request on /player/<PLAYER_ID>. By default, only a small number of fields marked as default are returned (such as the object identifier), please refer to the complete field list below. For help on requesting specific fields, see the fields selection section.
To create an object of type player, perform a POST request onthe connection available through the user graph object.Join all the fields you want to specify and their value as an application/x-www-form-urlencoded payload. Please note that, for creation, some fields and/or specific query-string parameters could be mandatory, please refer to the field list below.
To edit an object of type player, perform a POST request on /player/<PLAYER_ID>. Join all the fields you want to update and their new value as an application/x-www-form-urlencoded payload.
To delete an object of type player, perform a DELETE request on /player/<PLAYER_ID>. If you do not receive any error (empty result set), it means that the deletion was successful.
Sample player API call: /player/xid1
Test it further with the API Explorer.
Here is the list of fields you can retrieve on every player object. You can retrieve these using the fields query-string parameter on any graph object request. See the fields selection section for more information.
aspect_ratioTo specify the aspect ratio of the player
Sample value: 16:9
To specify the aspect ratio of the player
autostartTo control how the player handles autoplay
Sample value: off
To control how the player handles autoplay
colorChange the default highlight color used in the controls
Sample value: 00aaff
Change the default highlight color used in the controls
created_timeDate and time when this player was created
Sample value: 1287507036
Date and time when this player was created
embed_script_urlURL of the player to be used in a script HTML tag
Sample value: https://geo.dailymotion.com/player/x123.js
URL of the player to be used in a script HTML tag
enable_autonextWhether to automatically play the next video item in the queue
Sample value: false
Whether to automatically play the next video item in the queue
enable_controlsWhether to display the player controls
Sample value: false
Whether to display the player controls
enable_dm_logoWhether to display the Dailymotion logo
Sample value: false
Whether to display the Dailymotion logo
enable_infoWhether to display the video title and owner information
Sample value: false
Whether to display the video title and owner information
enable_pipWhether to enable Picture-in-Picture
Sample value: false
Whether to enable Picture-in-Picture
enable_queueWhether to display the Up Next queue
Sample value: false
Whether to display the Up Next queue
enable_sharingWhether to enable the sharing button
Sample value: false
Whether to enable the sharing button
idUnique object identifier (unique among all players)
Sample value: xlhb2vt
Unique object identifier (unique among all players)
item_typeGraph type of this object (hopefully player)
Sample value: player
Graph type of this object (hopefully player)
labelOptional player label
Sample value: string example
Optional player label
lib_script_urlURL of the player embed library to be used in a script HTML tag
Sample value: https://geo.dailymotion.com/libs/player/x123.js
URL of the player embed library to be used in a script HTML tag
ownerOwner of this player.
You can retrieve sub-fields of this user object using the dot-notation (e.g.: owner.id).
Sample value: xa9x1vf
Owner of this player.
You can retrieve sub-fields of this user object using the dot-notation (e.g.: owner.id).
player_modeTo control how the player manages video playback
Sample value: pip
To control how the player manages video playback
scale_modeTo specify the default focus of the player
Sample value: fillTop
To specify the default focus of the player
updated_timeDate and time when this player was updated
Sample value: 1287507036
Date and time when this player was updated
A playlist object represents an ordered list of videos created by a user. Videos in a playlist
do not necessarily have anything in common.
To retrieve a specific playlist object, perform a GET request on /playlist/<PLAYLIST_ID>. By default, only a small number of fields marked as default are returned (such as the object identifier), please refer to the complete field list below. For help on requesting specific fields, see the fields selection section.
To retrieve a list of playlist objects, perform a GET request on /playlists. You can also use You can then use filters (if any) to filter down the result set, see the filtering section for more information.
To create an object of type playlist, perform a POST request onJoin all the fields you want to specify and their value as an application/x-www-form-urlencoded payload. Please note that, for creation, some fields and/or specific query-string parameters could be mandatory, please refer to the field list below.
To edit an object of type playlist, perform a POST request on /playlist/<PLAYLIST_ID>. Join all the fields you want to update and their new value as an application/x-www-form-urlencoded payload.
To delete an object of type playlist, perform a DELETE request on /playlist/<PLAYLIST_ID>. If you do not receive any error (empty result set), it means that the deletion was successful.
Sample playlist API call: /playlist/x3ecgj
Test it further with the API Explorer.
Here is the list of fields you can retrieve on every playlist object. You can retrieve these using the fields query-string parameter on any graph object request. See the fields selection section for more information.
created_timeDate and time when this playlist was created.
Sample value: 1287507036
Date and time when this playlist was created.
descriptionComprehensive description of this playlist.
Sample value: Check out the top 10 best goals of this year's championship!
Comprehensive description of this playlist.
idUnique object identifier (unique among all playlists)
Sample value: xet4pzm
Unique object identifier (unique among all playlists)
item_typeGraph type of this object (hopefully playlist)
Sample value: playlist
Graph type of this object (hopefully playlist)
nameShort descriptive name of this playlist.
Sample value: Best goals of the championship
Short descriptive name of this playlist.
ownerAuthor of this playlist.
You can retrieve sub-fields of this user object using the dot-notation (e.g.: owner.id).
Sample value: xsw04uq
Author of this playlist.
You can retrieve sub-fields of this user object using the dot-notation (e.g.: owner.id).
privateTrue if this playlist is private.
Sample value: true
True if this playlist is private.
thumbnail_1080_urlURL of this playlist's first video's thumbnail image (1080px height).
Sample value: https://s2.dmcdn.net/CTrg1/x1080-Ec7.jpg
URL of this playlist's first video's thumbnail image (1080px height).
thumbnail_120_urlURL of this playlist's first video's thumbnail image (120px height).
Sample value: https://s2.dmcdn.net/3CQ3/x120-lbT.jpg
URL of this playlist's first video's thumbnail image (120px height).
thumbnail_180_urlURL of this playlist's first video's thumbnail image (180px height).
Sample value: https://s2.dmcdn.net/3CQ3/x180-Pe8.jpg
URL of this playlist's first video's thumbnail image (180px height).
thumbnail_240_urlURL of this playlist's first video's thumbnail image (240px height).
Sample value: https://s2.dmcdn.net/3CQ3/x240-bP7.jpg
URL of this playlist's first video's thumbnail image (240px height).
thumbnail_360_urlURL of this playlist's first video's thumbnail image (360px height).
Sample value: https://s2.dmcdn.net/3CQ3/x360-AdG.jpg
URL of this playlist's first video's thumbnail image (360px height).
thumbnail_480_urlURL of this playlist's first video's thumbnail image (480px height).
Sample value: https://s2.dmcdn.net/3CQ3/x480-kEp.jpg
URL of this playlist's first video's thumbnail image (480px height).
thumbnail_60_urlURL of this playlist's first video thumbnail image (60px height).
Sample value: https://s2.dmcdn.net/3CQ3/x60-epG.jpg
URL of this playlist's first video thumbnail image (60px height).
thumbnail_720_urlURL of this playlist's first video's thumbnail image (720px height).
Sample value: https://s2.dmcdn.net/3CQ3/x720-LZe.jpg
URL of this playlist's first video's thumbnail image (720px height).
thumbnail_urlURL of the thumbnail of this playlist's first video (raw, respecting full size ratio).
Sample value: https://s1.dmcdn.net/3CQ3.jpg
URL of the thumbnail of this playlist's first video (raw, respecting full size ratio).
updated_timeDate and time when this playlist was last updated.
Sample value: 1404129540
Date and time when this playlist was last updated.
videos_totalTotal amount of videos in this playlist.
Sample value: 14
Total amount of videos in this playlist.
These deprecated fields were once part of the API reference but are no longer maintained. Support is still available until the end of life date specified for each field.Do not use any of these for a new project as they may disappear without warning.
relative_updated_timeLocalized date and time when this playlist was last updated (formatted).
Sample value: 42 minutes ago
Localized date and time when this playlist was last updated (formatted).
thumbnail_large_urlURL of the thumbnail of this playlist's first video (320px by 240px).
Sample value: https://s2.dmcdn.net/3CQ3/x240-bP7.jpg
URL of the thumbnail of this playlist's first video (320px by 240px).
thumbnail_medium_urlURL of the thumbnail of this playlist's first video (160px by 120px).
Sample value: https://s2.dmcdn.net/3CQ3/160x120-9HK.jpg
URL of the thumbnail of this playlist's first video (160px by 120px).
thumbnail_small_urlURL of the thumbnail of this playlist's first video (80px by 60px).
Sample value: https://s2.dmcdn.net/3CQ3/80x60-LKd.jpg
URL of the thumbnail of this playlist's first video (80px by 60px).
Here is the list of filters you can use to limit a result set of playlist objects. You can use these by passing them as query-string parameters with your request.
idsLimit the result set to this list of playlist identifiers (works only with xids).
Sample value: xk2k3,x26m1j4,xkeg4
Limit the result set to this list of playlist identifiers (works only with xids).
ownerLimit the result set to playlists of this user.
Sample value: xsw04uq
Limit the result set to playlists of this user.
privateLimit the result set to private playlists
Sample value: true
Limit the result set to private playlists
searchLimit the result set to this full text search.
Sample value: football
Limit the result set to this full text search.
sortChange the default result set ordering.
Sample value: relevance
Change the default result set ordering.
verifiedLimit the result set to verified partner playlists.
Sample value: n/a
Limit the result set to verified partner playlists.
Connections through the data API are used to link objects with each others. Some objects can only be accessed and/or created through connections since they have no point in existing on their own. Here is the list of connections available through the playlist object.
videosList of videos contained in this playlist (in the order defined by its owner).
This connection joins an object of type playlist with a list of video objects.
List of videos contained in this playlist (in the order defined by its owner).
This connection joins an object of type playlist with a list of video objects.
You can retrieve the list of videos connected to a playlist object by issuing a GET request to /playlist/<PLAYLIST_ID>/videos. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any video is connected to an existing playlist object by issuing a GET request to /playlist/<PLAYLIST_ID>/videos/<VIDEO_ID>. This will return a list containing only the connected video object or an empty list if it is not connected.
You can connect videos to an existing playlist object one by one by issuing multiple POST requests to /playlist/<PLAYLIST_ID>/videos/<VIDEO_ID>.
You can connect multiple videos to an existing playlist object at once by issuing one POST request to /playlist/<PLAYLIST_ID>/videos?ids=<VIDEO_ID>,...,<VIDEO_ID>. Note that the order of the identifiers is saved.
You can disconnect videos from a playlist object by issuing DELETE requests to /playlist/<PLAYLIST_ID>/videos/<VIDEO_ID>. You can also disconnect all videos at once by issuing a POST request to /playlist/<PLAYLIST_ID>/videos with an empty ids query-string parameter.
Test it with the API Explorer.
A subtitle object represents a file resource containing closed captioning for a given video.
To retrieve a specific subtitle object, perform a GET request on /subtitle/<SUBTITLE_ID>. By default, only a small number of fields marked as default are returned (such as the object identifier), please refer to the complete field list below. For help on requesting specific fields, see the fields selection section.
To create an object of type subtitle, perform a POST request onthe connection available through the video graph object.Join all the fields you want to specify and their value as an application/x-www-form-urlencoded payload. Please note that, for creation, some fields and/or specific query-string parameters could be mandatory, please refer to the field list below.
| Type | Parameter | Required | Description |
|---|---|---|---|
| STRING | format | Yes | Data format SRT only is supported, if you have an other format please convert it to SRT. |
| STRING | language | Yes | Language of these subtitles. |
| URL | url | Yes | On |
To delete an object of type subtitle, perform a DELETE request on /subtitle/<SUBTITLE_ID>. If you do not receive any error (empty result set), it means that the deletion was successful.
Sample subtitle API call: /video/x26m1j4/subtitles
Test it further with the API Explorer.
Here is the list of fields you can retrieve on every subtitle object. You can retrieve these using the fields query-string parameter on any graph object request. See the fields selection section for more information.
idUnique object identifier (unique among all subtitles)
Sample value: x221wpy
Unique object identifier (unique among all subtitles)
item_typeGraph type of this object (hopefully subtitle)
Sample value: subtitle
Graph type of this object (hopefully subtitle)
languageLanguage of these subtitles.
Sample value: en
Language of these subtitles.
language_labelSubtitles's language in its own language.
Sample value: Français
Subtitles's language in its own language.
urlOn GET, the URL pointing to the latest version of the subtitles.
On POST, URL pointing to the subtitle data in on of the valid formats.
You don't need to host the file, you can use the GET /file/upload API ressource to create a
temporary URL to a file of your own, just like when you upload a video source file.
If you host your own file, the file will be fetched and the subtitles URL will point to a local copy.
Sample value: https://static2.dmcdn.net/static/video/354/170/120453:subtitle_en.srt?22
On GET, the URL pointing to the latest version of the subtitles.
On POST, URL pointing to the subtitle data in on of the valid formats.
You don't need to host the file, you can use the GET /file/upload API ressource to create a
temporary URL to a file of your own, just like when you upload a video source file.
If you host your own file, the file will be fetched and the subtitles URL will point to a local copy.
Here is the list of filters you can use to limit a result set of subtitle objects. You can use these by passing them as query-string parameters with your request.
languageLimit the result set to subtitles of this language.
Sample value: en
Limit the result set to subtitles of this language.
A user object represents a Dailymotion user account. Users are at the foundation of every other graph objects, since
most of them are created through —or owned by— users. Users also represent the main authentication vector to Dailymotion
services.
To retrieve a specific user object, perform a GET request on /user/<USER_ID>. By default, only a small number of fields marked as default are returned (such as the object identifier), please refer to the complete field list below. For help on requesting specific fields, see the fields selection section.
To retrieve a list of user objects, perform a GET request on /users. You can also use one of the several connections available through the user and channel graph objects.You can then use filters (if any) to filter down the result set, see the filtering section for more information.
To edit an object of type user, perform a POST request on /user/<USER_ID>. Join all the fields you want to update and their new value as an application/x-www-form-urlencoded payload.
To delete an object of type user, perform a DELETE request on /user/<USER_ID>. If you do not receive any error (empty result set), it means that the deletion was successful.
Sample user API call: /user/x1fz4ii
Test it further with the API Explorer.
Here is the list of fields you can retrieve on every user object. You can retrieve these using the fields query-string parameter on any graph object request. See the fields selection section for more information.
activeForce user account active.
Sample value: y
Force user account active.
addressPostal address of this user.
Sample value: 715 5th Avenue
Postal address of this user.
advanced_statisticsadvanced-statistics criteria of this user.
Sample value: true
advanced-statistics criteria of this user.
avatar_120_urlURL of this user's avatar image (120px wide square).
Sample value: https://s1.dmcdn.net/AVM/120x120-bn1.png
URL of this user's avatar image (120px wide square).
avatar_190_urlURL of this user's avatar image (190px wide square).
Sample value: https://s1.dmcdn.net/AVM/190x190-ma1.png
URL of this user's avatar image (190px wide square).
avatar_240_urlURL of this user's avatar image (240px wide square).
Sample value: https://s1.dmcdn.net/AVM/240x240-sU1.png
URL of this user's avatar image (240px wide square).
avatar_25_urlURL of this user's avatar image (25px wide square).
Sample value: https://s1.dmcdn.net/AVM/25x25--w1.png
URL of this user's avatar image (25px wide square).
avatar_360_urlURL of this user's avatar image (360px wide square).
Sample value: https://s1.dmcdn.net/AVM/360x360-PM1.png
URL of this user's avatar image (360px wide square).
avatar_480_urlURL of this user's avatar image (480px wide square).
Sample value: https://s1.dmcdn.net/AVM/480x480-CD1.png
URL of this user's avatar image (480px wide square).
avatar_60_urlURL of this user's avatar image (60px wide square).
Sample value: https://s1.dmcdn.net/AVM/60x60-As1.png
URL of this user's avatar image (60px wide square).
avatar_720_urlURL of this user's avatar image (720px wide square).
Sample value: https://s1.dmcdn.net/AVM/720x720-Gr1.png
URL of this user's avatar image (720px wide square).
avatar_80_urlURL of this user's avatar image (80px wide square).
Sample value: https://s1.dmcdn.net/AVM/80x80-Rf1.png
URL of this user's avatar image (80px wide square).
avatar_urlURL of an image to change this user's avatar.
Sample value: http://www.example.org
URL of an image to change this user's avatar.
ban_from_partner_programTrue if this user has the criteria ban-from-partner-program.
Sample value: true
True if this user has the criteria ban-from-partner-program.
birthdayBirthday date of this user.
Sample value: 532652400
Birthday date of this user.
children_totalTotal number of user children.
Sample value: 10
Total number of user children.
cityCity of residence of this user.
Sample value: New York City
City of residence of this user.
countryCountry of residence of this user.
Allowed values are ISO 3166-1 alpha-2 country codes.
Sample value: US
Country of residence of this user.
Allowed values are ISO 3166-1 alpha-2 country codes.
cover_100_urlURL of this user's cover image (height = 100px).
Sample value: https://s2.dmcdn.net/GJCWj/x100-qZJ.jpg
URL of this user's cover image (height = 100px).
cover_150_urlURL of this user's cover image (height = 150px).
Sample value: https://s2.dmcdn.net/GJCWj/x150-KrI.jpg
URL of this user's cover image (height = 150px).
cover_200_urlURL of this user's cover image (height = 200px).
Sample value: https://s2.dmcdn.net/GJCWj/x200--y5.jpg
URL of this user's cover image (height = 200px).
cover_250_urlURL of this user's cover image (height = 250px).
Sample value: https://s2.dmcdn.net/GJCWj/x250-u-x.jpg
URL of this user's cover image (height = 250px).
cover_urlURL of this user's cover image (original size).
Sample value: http://www.example.org
URL of this user's cover image (original size).
created_timeDate and time when this user joined the site.
Sample value: 1287507036
Date and time when this user joined the site.
descriptionComprehensive description of this user.
Sample value: Hi, I'm <i>John</i> and I'm here to break <b>everything</b>!
Comprehensive description of this user.
emailEmail address of this user.
Sample value: john.doe@provider.com
Email address of this user.
facebook_urlFacebook profile URL of this user.
Sample value: https://www.facebook.com/johndoe424
Facebook profile URL of this user.
first_nameFirst name of this user.
Sample value: John
First name of this user.
followers_totalTotal amount of followers of this user.
Sample value: 42
Total amount of followers of this user.
following_totalTotal amount of users this user is following.
Sample value: 42
Total amount of users this user is following.
fullnameFull name of this user.
Sample value: John Doe
Full name of this user.
genderGender of this user.
Sample value: male
Gender of this user.
googleplus_urlGoogleplus profile URL of this user.
Sample value: https://plus.google.com/u/0/johndoe424
Googleplus profile URL of this user.
idUnique object identifier (unique among all users)
Sample value: xtj1try
Unique object identifier (unique among all users)
instagram_urlInstagram profile URL of this user.
Sample value: https://www.instagram.com/johndoe424
Instagram profile URL of this user.
is_followingTrue if the authenticated user is following this user. If no user is authenticated, it will always return false
Sample value: true
True if the authenticated user is following this user. If no user is authenticated, it will always return false
item_typeGraph type of this object (hopefully user)
Sample value: user
Graph type of this object (hopefully user)
languageLanguage used by this user.
Allowed values are ISO-639-3 alpha-2 and alpha-3 language codes.
Sample value: en
Language used by this user.
Allowed values are ISO-639-3 alpha-2 and alpha-3 language codes.
last_nameLast name of this user.
Sample value: Doe
Last name of this user.
limitsReturns the various user limits like the maximum allowed duration and size per uploaded video etc.
This property can only be obtained for the currently logged in user.
Sample value: {"video_duration":3600,"video_size":2147483648}
Returns the various user limits like the maximum allowed duration and size per uploaded video etc.
This property can only be obtained for the currently logged in user.
linkedin_urlLinkedIn profile URL of this user.
Sample value: https://www.linkedin.com/in/johndoe424
LinkedIn profile URL of this user.
parentIdentifier of this user's parent (use parent.screenname to access its user name).
You can retrieve sub-fields of this user object using the dot-notation (e.g.: parent.id).
Sample value: xr5iqps
Identifier of this user's parent (use parent.screenname to access its user name).
You can retrieve sub-fields of this user object using the dot-notation (e.g.: parent.id).
partnerWhen the partner field is set, the user auto-accepts the T&Cs (https://www.dailymotion.com/legal/partner) and becomes a partner.
Returns True if this user is a partner.
Sample value: true
When the partner field is set, the user auto-accepts the T&Cs (https://www.dailymotion.com/legal/partner) and becomes a partner.
Returns True if this user is a partner.
pinterest_urlPinterest profile URL of this user.
Sample value: https://pinterest.com/dailymotionusa/
Pinterest profile URL of this user.
playlists_totalTotal amount of playlists of this user.
Sample value: 5
Total amount of playlists of this user.
reposts_totalThe number of videos reposted by the user.
Sample value: 5
The number of videos reposted by the user.
revenues_claim_last_dayTotal amount of net revenues in USD generated through claim the last day.
Sample value: 12
Total amount of net revenues in USD generated through claim the last day.
revenues_claim_last_monthTotal amount of net revenues in USD generated through claim the last month.
Sample value: 310.2
Total amount of net revenues in USD generated through claim the last month.
revenues_claim_last_weekTotal amount of net revenues in USD generated through claim in the last 7 sliding days.
Sample value: 80.7
Total amount of net revenues in USD generated through claim in the last 7 sliding days.
revenues_claim_totalTotal amount of net revenues in USD generated through claim since the beginning.
Sample value: 2502.37
Total amount of net revenues in USD generated through claim since the beginning.
revenues_paidcontent_last_dayTotal amount of net revenues in USD generated through the paid content the last day.
Sample value: 12
Total amount of net revenues in USD generated through the paid content the last day.
revenues_paidcontent_last_monthTotal amount of net revenues in USD generated through the paid content the last month.
Sample value: 310.2
Total amount of net revenues in USD generated through the paid content the last month.
revenues_paidcontent_last_weekTotal amount of net revenues in USD generated through the paid content in the last 7 sliding days.
Sample value: 80.7
Total amount of net revenues in USD generated through the paid content in the last 7 sliding days.
revenues_paidcontent_totalTotal amount of net revenues in USD generated through the paid content since the beginning.
Sample value: 2502.37
Total amount of net revenues in USD generated through the paid content since the beginning.
revenues_video_last_dayTotal amount of net revenues in USD generated through the video monetization the last day.
Sample value: 12
Total amount of net revenues in USD generated through the video monetization the last day.
revenues_video_last_monthTotal amount of net revenues in USD generated through the video monetization the last month.
Sample value: 310.2
Total amount of net revenues in USD generated through the video monetization the last month.
revenues_video_last_weekTotal amount of net revenues in USD generated through the video monetization in the last 7 sliding days.
Sample value: 80.7
Total amount of net revenues in USD generated through the video monetization in the last 7 sliding days.
revenues_video_totalTotal amount of net revenues in USD generated through the video monetization since the beginning.
Sample value: 2502.37
Total amount of net revenues in USD generated through the video monetization since the beginning.
revenues_website_last_dayTotal amount of net revenues in USD generated through the website monetization the last day.
Sample value: 12
Total amount of net revenues in USD generated through the website monetization the last day.
revenues_website_last_monthTotal amount of net revenues in USD generated through the website monetization the last month.
Sample value: 310.2
Total amount of net revenues in USD generated through the website monetization the last month.
revenues_website_last_weekTotal amount of net revenues in USD generated through the website monetization in the last 7 sliding days.
Sample value: 80.7
Total amount of net revenues in USD generated through the website monetization in the last 7 sliding days.
revenues_website_totalTotal amount of net revenues in USD generated through the website monetization since the beginning.
Sample value: 2502.37
Total amount of net revenues in USD generated through the website monetization since the beginning.
screennameReturns this user's full name or login depending on the user's preferences.
Sample value: johndoe424
Returns this user's full name or login depending on the user's preferences.
statusCurrent user account status.
Sample value: active
Current user account status.
twitter_urlTwitter profile URL of this user.
Sample value: https://twitter.com/johndoe424
Twitter profile URL of this user.
urlURL of this user's profile on Dailymotion.
Sample value: https://www.dailymotion.com/johndoe424
URL of this user's profile on Dailymotion.
usernameUser account credentials login.
Sample value: johndoe424
User account credentials login.
verifiedTrue if this user is a verified partner.
Sample value: true
True if this user is a verified partner.
videos_totalTotal amount of public videos of this user.
Sample value: 27
Total amount of public videos of this user.
views_totalTotal aggregated number of views on all of this user's videos.
Sample value: 1239873
Total aggregated number of views on all of this user's videos.
website_urlPersonal website URL of this user.
Sample value: https://www.johndoe424.net
Personal website URL of this user.
These deprecated fields were once part of the API reference but are no longer maintained. Support is still available until the end of life date specified for each field.Do not use any of these for a new project as they may disappear without warning.
analytics_servicesAnalytics service of this user.
Sample value: {
"xiti": {
"website_id": 1567829778,
"subdomain": "www.mysite.com",
"second_level_id": 68965678,
"internal_domain": "test.com"
},
"google": "UA-12345-1",
"estat":"123456789"
}
Analytics service of this user.
avatar_large_urlURL of this user's avatar image (160px wide square).
Sample value: http://www.example.org
URL of this user's avatar image (160px wide square).
avatar_medium_urlURL of this user's avatar image (80px wide square).
Sample value: http://www.example.org
URL of this user's avatar image (80px wide square).
avatar_small_urlURL of this user's avatar image (40px wide square).
Sample value: http://www.example.org
URL of this user's avatar image (40px wide square).
background_urlURL of this user's background image (Max 1680px by 2000px).
Sample value: http://www.example.org
URL of this user's background image (Max 1680px by 2000px).
Sample value: http://www.example.org
URL of this user's banner image (Max 970px by 120px).
fans_totalTotal amount of fans of this user.
Sample value: 42
Total amount of fans of this user.
live_notification_followed_onairTrue if this user has authorized live notifications, false otherwise.
Sample value: true
True if this user has authorized live notifications, false otherwise.
typeType of user account.
Sample value: ugc
Type of user account.
videostarShowcased video of this user.
You can retrieve sub-fields of this video object using the dot-notation (e.g.: videostar.id).
Sample value: xr5iqps
Showcased video of this user.
You can retrieve sub-fields of this video object using the dot-notation (e.g.: videostar.id).
Here is the list of filters you can use to limit a result set of user objects. You can use these by passing them as query-string parameters with your request.
countryCountry of residence of this user.
Allowed values are ISO 3166-1 alpha-2 country codes.
Sample value: US
Country of residence of this user.
Allowed values are ISO 3166-1 alpha-2 country codes.
exclude_idsList of user ids to exclude from the result set.
Sample value: xk2k3,x26m1j4,xkeg4
List of user ids to exclude from the result set.
flagsList of simple boolean flags available to reduce the result set.
Sample value: mostpopular,partner
List of simple boolean flags available to reduce the result set.
idsLimit the result set to this list of user channels identifiers.
Sample value: xk2k3,x1fz4ii,xw83x45
Limit the result set to this list of user channels identifiers.
languageLimit the result set to users using this language.
Sample value: en
Limit the result set to users using this language.
mostpopularLimit the result set to the most popular users.
Sample value: n/a
Limit the result set to the most popular users.
parentLimit the result set to children of this user.
Sample value: xr5iqps
Limit the result set to children of this user.
partnerLimit the result set to partner users.
Sample value: n/a
Limit the result set to partner users.
recommendedLimit the result set to recommended users.
Sample value: n/a
Limit the result set to recommended users.
recommendedforchannelLimit the result set to this channel's top users.
Sample value: news
Limit the result set to this channel's top users.
sortChange the default result set ordering.
Notes:
recent, daily, weekly, monthly, rated, random, alpha, alphaZA, alphaZAFullname)Sample value: popular
Change the default result set ordering.
Notes:
recent, daily, weekly, monthly, rated, random, alpha, alphaZA, alphaZAFullname)usernamesLimit the results set to users with a list of usernames
Sample value: rs,spi0n
Limit the results set to users with a list of usernames
verifiedLimit the result set to verified partner users.
Sample value: n/a
Limit the result set to verified partner users.
These deprecated filters were once part of the API reference but are no longer maintained. Support is still available until the end of life date specified for each filter.Do not use any of these for a new project as they may disappear without warning.
filtersList of simple boolean filters available to reduce the result set.
Sample value: mostpopular
List of simple boolean filters available to reduce the result set.
listLimit the result set to this user list.
Sample value: recommended
Limit the result set to this user list.
searchLimit the result set to this full text search.
Sample value: john
Limit the result set to this full text search.
Connections through the data API are used to link objects with each others. Some objects can only be accessed and/or created through connections since they have no point in existing on their own. Here is the list of connections available through the user object.
childrenList of this user's children.
This connection joins an object of type user with a list of user objects.
List of this user's children.
This connection joins an object of type user with a list of user objects.
You can retrieve the list of children connected to a user object by issuing a GET request to /me/children. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any user is connected to an existing user object by issuing a GET request to /me/children/<USER_ID>. This will return a list containing only the connected user object or an empty list if it is not connected.
You can connect children to an existing user object one by one by issuing multiple POST requests to /me/children/<USER_ID>.
You can disconnect children from a user object by issuing DELETE requests to /me/children/<USER_ID>. You can also disconnect all children at once by issuing a POST request to /me/children with an empty ids query-string parameter.
Test it with the API Explorer.
featuresList of videos featured by this user.
This connection joins an object of type user with a list of video objects.
List of videos featured by this user.
This connection joins an object of type user with a list of video objects.
You can retrieve the list of features connected to a user object by issuing a GET request to /me/features. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any video is connected to an existing user object by issuing a GET request to /me/features/<VIDEO_ID>. This will return a list containing only the connected video object or an empty list if it is not connected.
You can connect features to an existing user object one by one by issuing multiple POST requests to /me/features/<VIDEO_ID>.
You can disconnect features from a user object by issuing DELETE requests to /me/features/<VIDEO_ID>. You can also disconnect all features at once by issuing a POST request to /me/features with an empty ids query-string parameter.
Test it with the API Explorer.
followersList of this user's followers.
This connection joins an object of type user with a list of user objects.
List of this user's followers.
This connection joins an object of type user with a list of user objects.
You can retrieve the list of followers connected to a user object by issuing a GET request to /me/followers. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
followingList of users followed by this user.
This connection joins an object of type user with a list of user objects.
List of users followed by this user.
This connection joins an object of type user with a list of user objects.
You can retrieve the list of following connected to a user object by issuing a GET request to /me/following. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any user is connected to an existing user object by issuing a GET request to /me/following/<USER_ID>. This will return a list containing only the connected user object or an empty list if it is not connected.
You can connect following to an existing user object one by one by issuing multiple POST requests to /me/following/<USER_ID>.
You can disconnect following from a user object by issuing DELETE requests to /me/following/<USER_ID>. You can also disconnect all following at once by issuing a POST request to /me/following with an empty ids query-string parameter.
Test it with the API Explorer.
likesList of videos liked by the user.
This connection joins an object of type user with a list of video objects.
List of videos liked by the user.
This connection joins an object of type user with a list of video objects.
You can retrieve the list of likes connected to a user object by issuing a GET request to /me/likes. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any video is connected to an existing user object by issuing a GET request to /me/likes/<VIDEO_ID>. This will return a list containing only the connected video object or an empty list if it is not connected.
You can connect likes to an existing user object one by one by issuing multiple POST requests to /me/likes/<VIDEO_ID>.
You can disconnect likes from a user object by issuing DELETE requests to /me/likes/<VIDEO_ID>. You can also disconnect all likes at once by issuing a POST request to /me/likes with an empty ids query-string parameter.
Test it with the API Explorer.
parentsList of this user's parents.
This connection joins an object of type user with a list of user objects.
List of this user's parents.
This connection joins an object of type user with a list of user objects.
You can retrieve the list of parents connected to a user object by issuing a GET request to /me/parents. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any user is connected to an existing user object by issuing a GET request to /me/parents/<USER_ID>. This will return a list containing only the connected user object or an empty list if it is not connected.
You can connect parents to an existing user object one by one by issuing multiple POST requests to /me/parents/<USER_ID>.
You can disconnect parents from a user object by issuing DELETE requests to /me/parents/<USER_ID>. You can also disconnect all parents at once by issuing a POST request to /me/parents with an empty ids query-string parameter.
Test it with the API Explorer.
playersList of players created by this user (beta)
This connection joins an object of type user with a list of player objects.
List of players created by this user (beta)
This connection joins an object of type user with a list of player objects.
You can retrieve the list of players connected to a user object by issuing a GET request to /me/players. You can specify the list of fields from the player objects to be returned using the fields parameter.
Test it with the API Explorer.
You can create a new player object and automatically connect it to an existing user object by issuing a POST request to /me/players.
In return, you will receive a dict value containing the newly created object, including its identifier.
Test it with the API Explorer.
You can delete a player object connected to a user object the same way you would if it wasn't attached, that is by issuing a DELETE request to /player/<PLAYER_ID>.
Test it with the API Explorer.
relationsList of user accounts related to this user through their parents.
This connection joins an object of type user with a list of user objects.
List of user accounts related to this user through their parents.
This connection joins an object of type user with a list of user objects.
You can retrieve the list of relations connected to a user object by issuing a GET request to /me/relations. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
subscriptionsList of videos from the channels the user follow.
This connection joins an object of type user with a list of video objects.
List of videos from the channels the user follow.
This connection joins an object of type user with a list of video objects.
You can retrieve the list of subscriptions connected to a user object by issuing a GET request to /me/subscriptions. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
videosList of videos uploaded by this user.
This connection joins an object of type user with a list of video objects.
List of videos uploaded by this user.
This connection joins an object of type user with a list of video objects.
You can retrieve the list of videos connected to a user object by issuing a GET request to /me/videos. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
You can create a new video object and automatically connect it to an existing user object by issuing a POST request to /me/videoswith the following parameters.
| Type | Parameter | Required | Description |
|---|---|---|---|
| STRING | content_provider | No | Content provider name. |
In return, you will receive a dict value containing the newly created object, including its identifier.
Test it with the API Explorer.
You can delete a video object connected to a user object the same way you would if it wasn't attached, that is by issuing a DELETE request to /video/<VIDEO_ID>.
Test it with the API Explorer.
watchlaterList of watch later videos.
This connection joins an object of type user with a list of video objects.
List of watch later videos.
This connection joins an object of type user with a list of video objects.
You can retrieve the list of watchlater connected to a user object by issuing a GET request to /me/watchlater. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any video is connected to an existing user object by issuing a GET request to /me/watchlater/<VIDEO_ID>. This will return a list containing only the connected video object or an empty list if it is not connected.
You can connect watchlater to an existing user object one by one by issuing multiple POST requests to /me/watchlater/<VIDEO_ID>.
You can disconnect watchlater from a user object by issuing DELETE requests to /me/watchlater/<VIDEO_ID>. You can also disconnect all watchlater at once by issuing a POST request to /me/watchlater with an empty ids query-string parameter.
Test it with the API Explorer.
These deprecated connections were once part of the API reference but are no longer maintained. Support is still available until the end of life date specified for each filter.Do not use any of these for a new project as they may disappear without warning.
favoritesList of videos favorited by this user.
This connection joins an object of type user with a list of video objects.
List of videos favorited by this user.
This connection joins an object of type user with a list of video objects.
You can retrieve the list of favorites connected to a user object by issuing a GET request to /me/favorites. You can specify the list of fields from the video objects to be returned using the fields parameter.
Test it with the API Explorer.
You can also see if any video is connected to an existing user object by issuing a GET request to /me/favorites/<VIDEO_ID>. This will return a list containing only the connected video object or an empty list if it is not connected.
You can connect favorites to an existing user object one by one by issuing multiple POST requests to /me/favorites/<VIDEO_ID>.
You can disconnect favorites from a user object by issuing DELETE requests to /me/favorites/<VIDEO_ID>. You can also disconnect all favorites at once by issuing a POST request to /me/favorites with an empty ids query-string parameter.
Test it with the API Explorer.
recommendedList of users recommended to this user.
This connection joins an object of type user with a list of user objects.
List of users recommended to this user.
This connection joins an object of type user with a list of user objects.
You can retrieve the list of recommended connected to a user object by issuing a GET request to /me/recommended. You can specify the list of fields from the user objects to be returned using the fields parameter.
Test it with the API Explorer.
The video object is the foundation of Dailymotion' service. Videos are metadata containers wrapped around media
streams and can be accessed either directly or through several connections through the Data API.
To retrieve a specific video object, perform a GET request on /video/<VIDEO_ID>. By default, only a small number of fields marked as default are returned (such as the object identifier), please refer to the complete field list below. For help on requesting specific fields, see the fields selection section.
To retrieve a list of video objects, perform a GET request on /videos. You can also use one of the several connections available through the user,video,channel and playlist graph objects.You can then use filters (if any) to filter down the result set, see the filtering section for more information.
To create an object of type video, perform a POST request onthe connection available through the user graph object.Join all the fields you want to specify and their value as an application/x-www-form-urlencoded payload. Please note that, for creation, some fields and/or specific query-string parameters could be mandatory, please refer to the field list below.
| Type | Parameter | Required | Description |
|---|---|---|---|
| STRING | content_provider | No | Content provider name. |
To edit an object of type video, perform a POST request on /video/<VIDEO_ID>. Join all the fields you want to update and their new value as an application/x-www-form-urlencoded payload.
To delete an object of type video, perform a DELETE request on /video/<VIDEO_ID>. If you do not receive any error (empty result set), it means that the deletion was successful.
Sample video API call: /video/x26m1j4
Test it further with the API Explorer.
Here is the list of fields you can retrieve on every video object. You can retrieve these using the fields query-string parameter on any graph object request. See the fields selection section for more information.
advertising_custom_targetReturns the custom target value for
given video. This value is sent to Liverail as an LR_DM_ADPARAM param.
This can be used for targeting in liverail.
Sample value: string example
Returns the custom target value for
given video. This value is sent to Liverail as an LR_DM_ADPARAM param.
This can be used for targeting in liverail.
advertising_instream_blockedTrue if the owner blocked instream ads on this video.
Sample value: true
True if the owner blocked instream ads on this video.
allow_embedTrue if this video can be embedded outside of Dailymotion.
Sample value: false
True if this video can be embedded outside of Dailymotion.
allowed_in_playlistsTrue if this video can be added to playlists.
Sample value: true
True if this video can be added to playlists.
aspect_ratioAspect ratio of this video (i.e.: 1.33333 for 4/3, 1.77777 for 16/9...).
Sample value: 1.7777777
Aspect ratio of this video (i.e.: 1.33333 for 4/3, 1.77777 for 16/9...).
audienceCurrent live stream audience.null if the audience shouldn't be taken into consideration.
Sample value: 450
Current live stream audience.null if the audience shouldn't be taken into consideration.
audience_totalTotal live stream audience since stream creation.null if the audience shouldn't be taken into account.
Sample value: 2457
Total live stream audience since stream creation.null if the audience shouldn't be taken into account.
audience_urlAudience meter URL to be used for this video. null if the audience shouldn't be taken into account.
Sample value: https://195.8.215.201/vxqjkf1
Audience meter URL to be used for this video. null if the audience shouldn't be taken into account.
available_formatsList of available stream formats for this video.
Sample value: ld,sd,hq,hd720,hd1080
List of available stream formats for this video.
channelChannel of this video.
You can retrieve sub-fields of this channel object using the dot-notation (e.g.: channel.id).
Sample value: news
Channel of this video.
You can retrieve sub-fields of this channel object using the dot-notation (e.g.: channel.id).
checksumVideo file hash.
Sample value: "64f771f2fccff6cef46f2f34112a67ff8e940103"
Video file hash.
claim_rule_blocked_countriesList of countries where this video is blocked by the claimer. A list of country codes (ISO 3166-1 alpha-2) e.g.: ["FR", "US"] will block this video in France and US.
Sample value: FR,US
List of countries where this video is blocked by the claimer. A list of country codes (ISO 3166-1 alpha-2) e.g.: ["FR", "US"] will block this video in France and US.
claim_rule_monetized_countriesList of countries where this video is monetized by the claimer. A list of country codes (ISO 3166-1 alpha-2) e.g.: ["FR", "US"] will monetize this video in France and US.
Sample value: FR,US
List of countries where this video is monetized by the claimer. A list of country codes (ISO 3166-1 alpha-2) e.g.: ["FR", "US"] will monetize this video in France and US.
claim_rule_tracked_countriesList of countries where this video is tracked by the claimer. A list of country codes (ISO 3166-1 alpha-2) e.g.: ["FR", "US"] will track this video in France and US but it won't be blocked nor monetized by the claimer.
Sample value: FR,US
List of countries where this video is tracked by the claimer. A list of country codes (ISO 3166-1 alpha-2) e.g.: ["FR", "US"] will track this video in France and US but it won't be blocked nor monetized by the claimer.
content_provider_idContent provider identifier.
Sample value: UAMM20701001
Content provider identifier.
countryCountry of this video (declarative, may be null).
Allowed values are ISO 3166-1 alpha-2 country codes.
Sample value: US
Country of this video (declarative, may be null).
Allowed values are ISO 3166-1 alpha-2 country codes.
created_timeDate and time when this video was uploaded.
Sample value: 1287507036
Date and time when this video was uploaded.
custom_classificationList of customizable values (maximum of 3 values)
Sample value: ref1,ref2,ref3
List of customizable values (maximum of 3 values)
descriptionComprehensive description of this
video. Maximumm length is set to 3000 (5000 for partners).
Sample value: This is a sample description for my video.
Comprehensive description of this
video. Maximumm length is set to 3000 (5000 for partners).
durationDuration of this video in seconds.
Sample value: 423
Duration of this video in seconds.
embed_htmlHTML embedding code.
Sample value: <iframe frameborder="0" src="https://www.dailymotion.com/embed/video/x26m1j4" width="480" height="270"
HTML embedding code.
embed_urlURL to embed this video.
Sample value: https://www.dailymotion.com/embed/video/x26m1j4
URL to embed this video.
encoding_progressWhen this video status field is set to processing, this parameter indicates a number
between 0 and 100 corresponding to the percentage of encoding already completed. When this value
reaches 100, it's possible for the owner to play his video. For other statuses this parameter returns -1.
See also publishing_progress.
Sample value: 22
When this video status field is set to processing, this parameter indicates a number
between 0 and 100 corresponding to the percentage of encoding already completed. When this value
reaches 100, it's possible for the owner to play his video. For other statuses this parameter returns -1.
See also publishing_progress.
end_timeEnd date and time of this live stream.
Sample value: 1404129540
End date and time of this live stream.
expiry_dateDate and time after which this video will be made private. Beware: if the video was originally
[...]
